version: '3'

services:     
  app:
    build: ./todo
    image: $CI_REGISTRY_IMAGE/app
    container_name: my_app
    restart: always
    ports:
      - '8080:8080'
    volumes:
      - /usr/src/app/node_modules
      - ./todo:/usr/src/app
    # env_file:
    #   - .env

  db:
    build: ./db
    image: $CI_REGISTRY_IMAGE/db
    container_name: db
    ports:
      - '5432:5432'
    restart: always 
    # environment:
    #   POSTGRES_USER: admin
    #   POSTGRES_PASSWORD: admin123
    #   POSTGRES_DB: my_db
    volumes:
      # - ./data/initdb.sh:/docker-entrypoint-initdb.d/initdb.sh
      - postgres-data:/var/lib/postgresql/data

volumes:
  postgres-data: